IMG_CloseAnimationEncoder(3)

NAME
IMG_CloseAnimationEncoder - Close an animation encoder, finishing any encoding.

SYNOPSIS
#include <SDL3_image/SDL_image.h>

bool IMG_CloseAnimationEncoder(IMG_AnimationEncoder *encoder);

DESCRIPTION
Calling this function frees the animation encoder, and returns the final status of the encoding process.

FUNCTION PARAMETERS

encoder
    the encoder to close.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

AVAILABILITY
This function is available since SDL_image 3.4.0.

SEE ALSO
IMG_CreateAnimationEncoder(3), IMG_CreateAnimationEncoder_IO(3), IMG_CreateAnimationEncoderWithProperties(3)